0
This may have been caused by external, manually added software repositories or a corrupted sources file.

W: GPG error: http://i-hate-farms.github.io/spores trusty InRelease: The following signatures were invalid: 2F3C3D45B6C9A4E9E22A1AE1F7F707E5B5329C31
E: The repository 'http://i-hate-farms.github.io/spores trusty InRelease' is not signed.
W: Updating from such a repository can't be done securely, and is therefore disabled by default.
W: See apt-secure(8) manpage for repository creation and user configuration details.
E: http://i-hate-farms.github.io/spores trusty InRelease is not (yet) available (The following signatures were invalid: 2F3C3D45B6C9A4E9E22A1AE1F7F707E5B5329C31)
1

You can just install "Software & Updates" from the app center & uncheck the appropriate repository. In this case, i-hate-farms.github

https://elementaryos.stackexchange.com/a/7684/17853

| improve this answer | |

Not the answer you're looking for? Browse other questions tagged or ask your own question.